Redmine - Defect #5724

Email creation of new issues for anonymous users failing due to email address length
2010-06-22 15:12 - Ade Fewings

Status: Closed Start date: 2010-06-22
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version:

Description

Having upgraded from an older version (which was without the ability to accept issues via email from unknown email addresses) to
the current SVN trunk in order to gain such anonymous posting functionality, have seen some issues regarding issues not being
accepted from the submission script and returning error 422. | have traced this back at established that it is caused by the 'From’
email address being of more than 32 characters, which | believe collides with the length of the username field when RedMine
attempts to create the anonymous user for the issue.

Maybe not an issue to be fixed' but maybe it is?

Thanks, loving RedMine

Related issues:
Is duplicate of Redmine - Defect #7717: MailHandler user creation for unknown... Closed 2011-02-25

History

#1 - 2010-06-23 00:40 - Felix Schafer
- Category set to Email receiving

- Affected version (unused) set to devel

This indeed is a problem if confirmed.

#2 - 2011-11-27 16:36 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

Same as #7717, fixed in r7952.
https://www.redmine.org/issues/7717
https://www.redmine.org/projects/redmine/repository/svn/revisions/7952
http://www.tcpdf.org

